Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum StackingMethod

    java.lang.Object
      java.lang.Enum<StackingMethod>
          org.richfaces.component.StackingMethod

All Implemented Interfaces:
  Serializable, Comparable<StackingMethod>

    public enum StackingMethod

extends Enum<StackingMethod>

Defines where new items will appear

Author:
  Lukas Fryc

Enum Constant Summary
`first` new items appears on the start of the stack (as first)
`last` new items appears on the end of the stack (as last)

Field Summary
`static StackingMethod` | `DEFAULT`

Method Summary
`static StackingMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StackingMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### first

    public static final StackingMethod first

  new items appears on the start of the stack (as first)

### last

    public static final StackingMethod last

  new items appears on the end of the stack (as last)

Field Detail

### DEFAULT

    public static final StackingMethod DEFAULT

Method Detail

### values

    public static StackingMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StackingMethod c : StackingMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StackingMethod valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.